---

- name: set facts
  set_fact:
    # setting fact to expand variable
    consul_bind_address: "{{ hostvars[inventory_hostname]['ansible_' + packer_vars.consul_network_interface]['ipv4']['address'] }}"
    consul_client_address: "127.0.0.1"